Bug 473567 - MacBook brightness flickers at login screen and while setting brightness level
MacBook brightness flickers at login screen and while setting brightness level
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 06:54 EST by Roman
Modified: 2009-11-25 07:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 07:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 11769 None None None Never

  None (edit)
Description Roman 2008-11-29 06:54:00 EST
While booting the display brightness is set to the last brightness I had when shutting down the laptop. (Till here it's all right.)

But, when the login screen appears, the brightness flickers heavily for about 1-2 sec. and remains at the highest brightness level. (This is very uncool, because the high brightness level will drain the battery more than necessary and IMHO the flickering will not be good for the hardware either.)

As the brightness remains at the highest brightness level after booting I triggered the brightness with the brightness buttons. But the brightness steps might be faulty or invalid because the display brightness flickers again and jumps from highest to lowest level back and forth e.g. ~7% brightness is nearly a 100%, ~10% is 0%. And sometimes the buttons seems to be changed because I had to press the button to increase brightness for lowering the brightness and vice versa.

I also tried to trigger the brightness via "Power Management" settings in GNOME and as described before the display brightness flickers while setting a default value and after staying inactive for round about 10 sec. the screen flickers again and drops to the max. or min. brightness level. (This might depend on the faulty brightness steps.)

The display flickers while switching the power management profile by un-/plugging the power cable.

My Hardware:
MacBook 13" rev. 1.1, Intel GMA950

Steps to Reproduce:
1. boot till login screen appears (flickering comes automatically)
2. setting brightness level via keyboard buttons
3. setting default brightness level via GNOME's Power Management
4. changing the power management profile by un-/plugging the power cable

Actual results:
The display brightness flickers in all of the four steps above and could not be set accurately.

Expected results:
First, setting the brightness levels without flickering (correct brightness steps).
Second, retaining the last display brightness level at boot time.

Additional info:
I searched a bit for similar problems but I couldn't find a solution yet. The best hit I got was at the linux kernel bugtracker #11769 (added as external bug) which even relates to the brightness reset on boot time.
Comment 1 Fabian Deutsch 2008-12-02 07:01:09 EST
I've got the same MacBook and it seems to be a regression to F9.
Screen-Flickers didn't appear in F9 with all updates.
Comment 2 Bug Zapper 2009-11-18 04:04:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fabian Deutsch 2009-11-25 07:22:38 EST
Seems to be fixed in F12.

Note You need to log in before you can comment on or make changes to this bug.